qtubuntu-desktop needs an OpenGL context

Bug #1274763 reported by Stephen M. Webb on 2014-01-31
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
qtubuntu (Ubuntu)
Undecided
Stephen M. Webb

Bug Description

Qt5 in the desktop environment assumes an OpenGL context, but QtUbuntu hardcodes the creation of an OpenGL|ES context. This causes Qt shaders to fail to compile at runtime on the desktop.

Related branches

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtubuntu - 0.53+14.04.20140228-0ubuntu1

---------------
qtubuntu (0.53+14.04.20140228-0ubuntu1) trusty; urgency=low

  [ Stephen M. Webb ]
  * build qtubuntu-desktop to use an OpenGL context instead of an
    OpenGL|ES context (lp: #1274763) (LP: #1274763)
 -- Ubuntu daily release <email address hidden> Fri, 28 Feb 2014 18:33:06 +0000

Changed in qtubuntu (Ubuntu):
status: New → Fix Released
Gerry Boland (gerboland) on 2014-07-04
Changed in qtubuntu:
status: In Progress → Fix Released
Michał Sawicz (saviq) on 2017-03-13
Changed in qtubuntu (Ubuntu):
assignee: nobody → Stephen M. Webb (bregma)
no longer affects: qtubuntu
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers